im.pidgin.pidgin: e5bd56af36e2e12b5e4f0867071fde785733ba54

siege at pidgin.im siege at pidgin.im
Sat Dec 15 15:45:44 EST 2007


-----------------------------------------------------------------
Revision: e5bd56af36e2e12b5e4f0867071fde785733ba54
Ancestor: eaa0690375b1928f9f87cf83d2bb4da4026709a7
Author: siege at pidgin.im
Date: 2007-12-15T20:29:56
Branch: im.pidgin.pidgin

Modified files:
        autogen.sh libpurple/protocols/sametime/sametime.c

ChangeLog: 

avoid some version blocking servers by updating the major version specified when 'Hide client ID' is specified for an account

-------------- next part --------------
============================================================
--- autogen.sh	b48de39c5fc7a0509a715ba2b5a230ab7ccb9ba7
+++ autogen.sh	327b018f182a326280c9c8477e4ec409b0fa2509
@@ -19,7 +19,7 @@ fi
 	exit;
 }
 
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+(glibtoolize --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
 	echo "You must have libtool installed to compile Pidgin.";
 	echo;
@@ -44,7 +44,7 @@ echo "Running libtoolize, please ignore 
 echo;
 
 echo "Running libtoolize, please ignore non-fatal messages...."
-echo n | libtoolize --copy --force || exit;
+echo n | glibtoolize --copy --force || exit;
 
 # Add other directories to this list if people continue to experience
 # brokennesses ...  Obviously the real answer is for them to fix it
@@ -57,7 +57,7 @@ done
 	fi
 done
 
-libtoolize -c -f --automake
+glibtoolize -c -f --automake
 glib-gettextize --force --copy
 intltoolize --force --copy
 aclocal $ACLOCAL_FLAGS || exit;
============================================================
--- libpurple/protocols/sametime/sametime.c	c20f83a722c08338e38e574fb155a1f112327b69
+++ libpurple/protocols/sametime/sametime.c	0de1dc041e60b15317b970c0c3f2b69d2e522abf
@@ -3749,7 +3749,7 @@ static void mw_prpl_login(PurpleAccount 
 
     client = purple_account_get_int(account, MW_KEY_CLIENT, mwLogin_BINARY);
     major = purple_account_get_int(account, MW_KEY_MAJOR, 0x001e);
-    minor = purple_account_get_int(account, MW_KEY_MINOR, 0x001d);
+    minor = purple_account_get_int(account, MW_KEY_MINOR, 0x196f);
 
     DEBUG_INFO("client id: 0x%04x\n", client);
     DEBUG_INFO("client major: 0x%04x\n", major);


More information about the Commits mailing list